WUnderground 1.1.12 Error

Posted on
Sun Sep 10, 2017 3:23 am
ckeyes888 offline
Posts: 2151
Joined: Nov 26, 2009
Location: Kalispell, MT

WUnderground 1.1.12 Error

Seems something broke when I upgraded to 1.1.12
Haven't upgraded to Indigo 7 yet if that may play a part.

Any help appreciated!

Thanks,

Carl

Code: Select all
Sep 10, 2017 3:11:57 AM
  Stopping plugin "WUnderground" (pid 526)
  Stopped plugin "WUnderground"
  Upgrading plugin "WUnderground" to newer version 1.1.12 (previous version moved to trash)
  Loading plugin "WUnderground 1.1.12"
  Starting plugin "WUnderground 1.1.12" (pid 3692)
  WUnderground                   
  WUnderground                    ================================================ Initializing New Plugin Session =================================================
  WUnderground                    Plugin name:                    WUnderground
  WUnderground                    Plugin version:                 1.1.12
  WUnderground                    Plugin ID:                      com.fogbert.indigoplugin.wunderground
  WUnderground                    Indigo version:                 6.1.4
  WUnderground                    Python version:                 2.6.7 (r267:88850, Jul 31 2011, 19:30:54) [GCC 4.2.1 (Based on Apple Inc. build 5658) (LLVM build 2335.15.00)]
  WUnderground                    ==================================================================================================================================
  Started plugin "WUnderground 1.1.12"

Sep 10, 2017 3:12:22 AM
  WUnderground Status             WUnderground 10 Day Forecast cannot determine age of data. Skipping until next scheduled poll.
  WUnderground Status             WUnderground Almanac cannot determine age of data. Skipping until next scheduled poll.
  WUnderground Status             WUnderground Weather cannot determine age of data. Skipping until next scheduled poll.

Posted on
Sun Sep 10, 2017 5:28 am
DaveL17 offline
User avatar
Posts: 5262
Joined: Aug 20, 2013
Location: Chicago, IL, USA

Re: WUnderground 1.1.12 Error

ckeyes888 wrote:
Seems something broke when I upgraded to 1.1.12

Hi Carl -- before we try to dig deeper, please reload the plugin and see if the weather devices are able to refresh. It's possible that the plugin wasn't able to reach the WUnderground servers (if the plugin can't find data with a newer timestamp it will skip the refresh). There shouldn't be any issues with Indigo 6, but those are famous last words.

I came here to drink milk and kick ass....and I've just finished my milk.

[My Plugins] - [My Forums]

Posted on
Sun Sep 10, 2017 5:35 am
jalves offline
Posts: 551
Joined: Jun 16, 2013

Re: WUnderground 1.1.12 Error

Having the same issue here.

Sep 10, 2017 at 7:25:30 AM
WUnderground Status WU 10 Day Forecast cannot determine age of data. Skipping until next scheduled poll.
WUnderground Status WU Astronomy cannot determine age of data. Skipping until next scheduled poll.
WUnderground Status WU Hourly Forecast cannot determine age of data. Skipping until next scheduled poll.
WUnderground Status WU Hourly Weather cannot determine age of data. Skipping until next scheduled poll.
WUnderground Status WU Weather Almanac cannot determine age of data. Skipping until next scheduled poll.
WUnderground Status WU Winter Garden Weather cannot determine age of data. Skipping until next scheduled poll.

Running Indigo 7.4 on a 27" iMac (mid-2017), 40G memory, 1T Fusion Drive, OS X 10.15.2
Jeff

Posted on
Sun Sep 10, 2017 5:39 am
jalves offline
Posts: 551
Joined: Jun 16, 2013

Re: WUnderground 1.1.12 Error

Just for further testing, I opened and saved each of my WU devices, then reloaded the plugin. Here is the result:

Code: Select all
Sep 10, 2017 at 7:37:50 AM
   Reloading plugin "WUnderground 1.1.12"
   Stopping plugin "WUnderground 1.1.12" (pid 11498)
   Stopped plugin "WUnderground 1.1.12"
   Starting plugin "WUnderground 1.1.12" (pid 15155)
   WUnderground                   
   WUnderground                    ================================================ Initializing New Plugin Session =================================================
   WUnderground                    Plugin name:                    WUnderground
   WUnderground                    Plugin version:                 1.1.12
   WUnderground                    Plugin ID:                      com.fogbert.indigoplugin.wunderground
   WUnderground                    Indigo version:                 7.0.3
   WUnderground                    Python version:                 2.7.10 (default, Feb  7 2017, 00:08:15) [GCC 4.2.1 Compatible Apple LLVM 8.0.0 (clang-800.0.34)]
   WUnderground                    ==================================================================================================================================
   Started plugin "WUnderground 1.1.12"
   WUnderground Status             WU 10 Day Forecast cannot determine age of data. Skipping until next scheduled poll.
   WUnderground Status             WU Astronomy cannot determine age of data. Skipping until next scheduled poll.
   WUnderground Status             WU Hourly Forecast cannot determine age of data. Skipping until next scheduled poll.
   WUnderground Status             WU Hourly Weather cannot determine age of data. Skipping until next scheduled poll.
   WUnderground Status             WU Weather Almanac cannot determine age of data. Skipping until next scheduled poll.
   WUnderground Status             WU Winter Garden Weather cannot determine age of data. Skipping until next scheduled poll.

Running Indigo 7.4 on a 27" iMac (mid-2017), 40G memory, 1T Fusion Drive, OS X 10.15.2
Jeff

Posted on
Sun Sep 10, 2017 6:01 am
DaveL17 offline
User avatar
Posts: 5262
Joined: Aug 20, 2013
Location: Chicago, IL, USA

Re: WUnderground 1.1.12 Error

All - I should've taken a look at my own server before responding. It seems that there may be an issue with the data that the WUnderground API is providing. I am getting the same messages as you all are:

Code: Select all
Sep 10, 2017, 5:09:00 AM
   WUnderground Status             Weather - Home Almanac cannot determine age of data. Skipping until next scheduled poll.
   WUnderground Status             Weather - Home Astronomy cannot determine age of data. Skipping until next scheduled poll.
   WUnderground Status             Weather - Home Hourly Forecast cannot determine age of data. Skipping until next scheduled poll.
   WUnderground Status             Weather - Home Ten Day Forecast cannot determine age of data. Skipping until next scheduled poll.
   WUnderground Status             Weather - Home Weather cannot determine age of data. Skipping until next scheduled poll.

My almanac device has a currentObservation value of:
Code: Select all
Last Updated on September 9, 10:19 PM CDT

Meaning that I have data that are newer than that which WU is providing. When the epoch of the most recently provided data is older than the last epoch we have, I skip updating the device. This is a feature that was added so that we didn't replace with older data. I will do some more digging, but I suspect WU are having a problem with their API.

I came here to drink milk and kick ass....and I've just finished my milk.

[My Plugins] - [My Forums]

Posted on
Sun Sep 10, 2017 6:10 am
norcoscia offline
User avatar
Posts: 882
Joined: Sep 09, 2015

Re: WUnderground 1.1.12 Error

Thanks Dave - same problem here - and in case it helps in some way - see below

WUnderground Status WUnderground 10 Day Forcast cannot determine age of data. Skipping until next scheduled poll.
WUnderground Status WUnderground Weather cannot determine age of data. Skipping until next scheduled poll.

Sep 10, 2017, 5:07:51 AM
Reloading plugin "WUnderground 1.1.12"
Stopping plugin "WUnderground 1.1.12" (pid 626)
Stopped plugin "WUnderground 1.1.12"
Starting plugin "WUnderground 1.1.12" (pid 18419)
WUnderground
WUnderground ================================================ Initializing New Plugin Session =================================================
WUnderground Plugin name: WUnderground
WUnderground Plugin version: 1.1.12
WUnderground Plugin ID: com.fogbert.indigoplugin.wunderground
WUnderground Indigo version: 7.0.3
WUnderground Python version: 2.7.10 (default, Oct 23 2015, 19:19:21) [GCC 4.2.1 Compatible Apple LLVM 7.0.0 (clang-700.0.59.5)]
WUnderground ==================================================================================================================================
Started plugin "WUnderground 1.1.12"
WUnderground Status WUnderground 10 Day Forcast cannot determine age of data. Skipping until next scheduled poll.
WUnderground Status WUnderground Weather cannot determine age of data. Skipping until next scheduled poll.
Schedule Temp Humidity via Adruino
Schedule Update clock

Sep 10, 2017, 5:08:27 AM
WUnderground Your plugin version, v1.1.12, is current.

_______
Norm

Posted on
Mon Sep 11, 2017 5:09 am
norcoscia offline
User avatar
Posts: 882
Joined: Sep 09, 2015

Re: WUnderground 1.1.12 Error

Dave is there any way to turn off the check so updates will come in - I'm sure it is not - but hoping I can just comment a few lines out in the code somewhere - still not working :-(

_______
Norm

Posted on
Mon Sep 11, 2017 5:45 am
DaveL17 offline
User avatar
Posts: 5262
Joined: Aug 20, 2013
Location: Chicago, IL, USA

Re: WUnderground 1.1.12 Error

norcoscia wrote:
Dave is there any way to turn off the check so updates will come in - I'm sure it is not - but hoping I can just comment a few lines out in the code somewhere - still not working :-(

Hi Norm - I just want to make sure that I understand the question. I think you're asking whether there's a way to shut off the log messages and allow the data to update regardless of age:

Code: Select all
{site name} cannot determine age of data. Skipping until next scheduled poll.
There is no way to turn off these messages other than commenting out the indigo.server.log() statement in the KeyError exception in the refreshWeatherData() method. The only way to allow the data to update regardless of age is to set the value of the variable good_time to True regardless of the data epoch. However, I have a bit more insight into this API problem which I'll outline in another post.

I came here to drink milk and kick ass....and I've just finished my milk.

[My Plugins] - [My Forums]

Posted on
Mon Sep 11, 2017 5:54 am
DaveL17 offline
User avatar
Posts: 5262
Joined: Aug 20, 2013
Location: Chicago, IL, USA

Re: WUnderground 1.1.12 Error

The issue we're experiencing is that Weather Underground is sending data with a time stamp that is older than data we have already downloaded (the plugin is specifically set to ignore data when it's older than data we already have). This was a feature request to help identify sites that may be offline. After watching my production server for a while, I noticed that two of the three weather sites I monitor came back online on their own. I waited a while longer for the third site to come back, but it didn't seem like it wanted to.

After taking a look at potential differences in the way that my three weather sites were configured, comparing data pulled directly from Weather Underground (outside the plugin) and comparing it to data that was previously downloaded using the plugin, the "new" data was clearly older than data I already had. Then I noticed that the one remaining problematic site was using a US ZIP Code locator. When I switched the locator to a specific PWS, the third site came right back online.

It's my assessment that this is a problem with the data that Weather Underground is sending and not an error in the plugin. Beyond adding a feature to allow data to update regardless of age, there doesn't seem to be anything that I can do to remedy the situation. I'll notify Weather Underground of the problem we're seeing.

I came here to drink milk and kick ass....and I've just finished my milk.

[My Plugins] - [My Forums]

Posted on
Mon Sep 11, 2017 7:18 am
norcoscia offline
User avatar
Posts: 882
Joined: Sep 09, 2015

Re: WUnderground 1.1.12 Error

So I went into the .py section and changed one spot where I saw (could find) good_time set to false and changed it to say True (see below)

Restarted the plug in and now getting a different error - see below - did I goof it up?
Attachments
2017-09-11_06-15-22.png
2017-09-11_06-15-22.png (48.01 KiB) Viewed 1803 times
2017-09-11_06-12-10.png
2017-09-11_06-12-10.png (229.03 KiB) Viewed 1803 times

_______
Norm

Posted on
Mon Sep 11, 2017 2:33 pm
norcoscia offline
User avatar
Posts: 882
Joined: Sep 09, 2015

Re: WUnderground 1.1.12 Error

It started working :-)

_______
Norm

Posted on
Mon Sep 11, 2017 3:08 pm
jalves offline
Posts: 551
Joined: Jun 16, 2013

Re: WUnderground 1.1.12 Error

Same here. Miracle cure!

Running Indigo 7.4 on a 27" iMac (mid-2017), 40G memory, 1T Fusion Drive, OS X 10.15.2
Jeff

Posted on
Mon Sep 11, 2017 3:52 pm
DaveL17 offline
User avatar
Posts: 5262
Joined: Aug 20, 2013
Location: Chicago, IL, USA

Re: WUnderground 1.1.12 Error

Glad that it's back up for you both. Whatever gremlins had infected the API must've been exercised.

@norcoscia: For future reference, the spot you changed good_time = True is within an exception block that would only be invoked when that particular exception occurred. If you wanted to ever change it, it would be best to do it below that line (one indent less) to override any of the changes that may have been done above. The next line that follows requires good_time to be True in order to continue with the update.

I came here to drink milk and kick ass....and I've just finished my milk.

[My Plugins] - [My Forums]

Posted on
Thu Sep 14, 2017 3:13 pm
mortenkols offline
Posts: 198
Joined: Oct 29, 2014
Location: Norway

Re: WUnderground 1.1.12 Error

hello.

after upgrading to 1.1.12 this messages appears in the log after every update. How can I disable it?

14. sep. 2017, 23.05.58
WUnderground chancerain
WUnderground chancerain
WUnderground cloudy
WUnderground chancerain


14. sep. 2017, 23.11.10
WUnderground chancerain
WUnderground chancerain
WUnderground cloudy
WUnderground chancerain

Posted on
Thu Sep 14, 2017 4:07 pm
DaveL17 offline
User avatar
Posts: 5262
Joined: Aug 20, 2013
Location: Chicago, IL, USA

Re: WUnderground 1.1.12 Error

mortenkols wrote:
hello.

after upgrading to 1.1.12 this messages appears in the log after every update. How can I disable it?

Hello.

Easy. Download the recently released update to the plugin. Or you can delete line 1303 of the plugin.py file:
Code: Select all
indigo.server.log(u"{0}".format(icon))

This is actually not a plugin error but a developer error. I inadvertently left a logging statement in the code that was (supposed to be) only for development. Sorry about that.

I came here to drink milk and kick ass....and I've just finished my milk.

[My Plugins] - [My Forums]

Page 1 of 1

Who is online

Users browsing this forum: No registered users and 1 guest